CREATE EXTENSION IF NOT EXISTS hstore;

DROP TABLE account;
CREATE TABLE account (
    name VARCHAR PRIMARY KEY,
    is_user BOOLEAN
);

INSERT INTO account (name) SELECT username FROM users;

ALTER TABLE users
    ADD CONSTRAINT users_username_fkey
        FOREIGN KEY (username) REFERENCES account (name) ON DELETE CASCADE ON UPDATE CASCADE;

CREATE TABLE template (
    ID SERIAL PRIMARY KEY,
    internal_version BIGINT,

    account VARCHAR REFERENCES account (name) ON DELETE CASCADE ON UPDATE CASCADE,
    name VARCHAR,

    version VARCHAR,
    locale VARCHAR,
    title VARCHAR,
    description VARCHAR,
    language VARCHAR,
    produces VARCHAR,
    data_schema JSON,
    static_metadata hstore,
    metadata hstore,
    body bytea
);
