// Code generated by go-swagger; DO NOT EDIT.

package template_management

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"orus.io/orus-io/rednerd/models"
)

// AccountTemplateListOKCode is the HTTP code returned for type AccountTemplateListOK
const AccountTemplateListOKCode int = 200

/*AccountTemplateListOK List the user templates and the shared templates it has access to


swagger:response accountTemplateListOK
*/
type AccountTemplateListOK struct {

	/*
	  In: Body
	*/
	Payload []*models.Template `json:"body,omitempty"`
}

// NewAccountTemplateListOK creates AccountTemplateListOK with default headers values
func NewAccountTemplateListOK() *AccountTemplateListOK {

	return &AccountTemplateListOK{}
}

// WithPayload adds the payload to the account template list o k response
func (o *AccountTemplateListOK) WithPayload(payload []*models.Template) *AccountTemplateListOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the account template list o k response
func (o *AccountTemplateListOK) SetPayload(payload []*models.Template) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *AccountTemplateListOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	payload := o.Payload
	if payload == nil {
		// return empty array
		payload = make([]*models.Template, 0, 50)
	}

	if err := producer.Produce(rw, payload); err != nil {
		panic(err) // let the recovery middleware deal with this
	}
}

// AccountTemplateListUnauthorizedCode is the HTTP code returned for type AccountTemplateListUnauthorized
const AccountTemplateListUnauthorizedCode int = 401

/*AccountTemplateListUnauthorized Unauthorized

swagger:response accountTemplateListUnauthorized
*/
type AccountTemplateListUnauthorized struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewAccountTemplateListUnauthorized creates AccountTemplateListUnauthorized with default headers values
func NewAccountTemplateListUnauthorized() *AccountTemplateListUnauthorized {

	return &AccountTemplateListUnauthorized{}
}

// WithPayload adds the payload to the account template list unauthorized response
func (o *AccountTemplateListUnauthorized) WithPayload(payload *models.Error) *AccountTemplateListUnauthorized {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the account template list unauthorized response
func (o *AccountTemplateListUnauthorized) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *AccountTemplateListUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(401)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

/*AccountTemplateListDefault generic error response

swagger:response accountTemplateListDefault
*/
type AccountTemplateListDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewAccountTemplateListDefault creates AccountTemplateListDefault with default headers values
func NewAccountTemplateListDefault(code int) *AccountTemplateListDefault {
	if code <= 0 {
		code = 500
	}

	return &AccountTemplateListDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the account template list default response
func (o *AccountTemplateListDefault) WithStatusCode(code int) *AccountTemplateListDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the account template list default response
func (o *AccountTemplateListDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the account template list default response
func (o *AccountTemplateListDefault) WithPayload(payload *models.Error) *AccountTemplateListDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the account template list default response
func (o *AccountTemplateListDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *AccountTemplateListDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
